Bug 429593 - KBuildSycoca loop causes hangs
Summary: KBuildSycoca loop causes hangs
Status: REPORTED
Alias: None
Product: frameworks-kservice
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: VHI normal
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: regression
: 429557 429558 430104 430236 431386 431393 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-11-24 15:06 UTC by Zamundaaa
Modified: 2022-12-08 09:03 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.77


Attachments
backtrace of kwin_wayland hanging (5.79 KB, text/plain)
2020-11-24 15:06 UTC, Zamundaaa
Details
output of QT_LOGGING_RULES="kf.service.sycoca=true" dolphin (78.88 KB, text/plain)
2020-11-28 17:57 UTC, Zamundaaa
Details
mimeapps.list on desktop (2.31 KB, text/plain)
2020-12-02 16:38 UTC, Zamundaaa
Details
mimeapps.list on laptop (207 bytes, text/plain)
2020-12-02 16:39 UTC, Zamundaaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zamundaaa 2020-11-24 15:06:34 UTC
Created attachment 133608 [details]
backtrace of kwin_wayland hanging

SUMMARY
On my laptop and desktop Plasma from git on Wayland hangs from time to time and feel generally sluggish. It started a few days ago when rebuilding with kdesrc-build.

The hangs are always reproducable when starting apps (around one second long there) but sometimes also happen when using apps like Firefox or Dolphin, and they can get quite long (like 30 seconds for example).
At the same time plasmashell is using a lot of CPU, and the app launcher shows "applications updated" in a loop.

On X11 this problem is not as visible but also happening (as evident by plasmashell using a lot of CPU).

The Wayland and X11 sessions from the Manjaro packages do not have this problem.

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.77.0
Qt Version: 5.15.1
Kernel Version: 5.9.10-1-MANJARO
OS Type: 64-bit
Processors: 8 × AMD Ryzen 7 4700U with Radeon Graphics
Memory: 15,1 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 1 Nate Graham 2020-11-24 16:43:20 UTC
*** Bug 429558 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2020-11-24 16:43:25 UTC
*** Bug 429557 has been marked as a duplicate of this bug. ***
Comment 3 Zamundaaa 2020-11-28 01:42:07 UTC
I tracked it down with git bisect and it looks like https://invent.kde.org/frameworks/kservice/-/merge_requests/20 causes the problem.
Comment 4 Méven Car 2020-11-28 04:54:28 UTC
What did you build with `kdesrc-build` ? What was the command used ?

It seems you have apps using mixed version of KService, all applications should use the same KService version.

As a side note, KDE Frameworks 5.77 is not released yet.

If you enable ksycoca debug log, you should see:

Found version 303, expecting version 304 or higher
Comment 5 Zamundaaa 2020-11-28 15:25:39 UTC
This is the exact command I use:

kdesrc-build plasma-desktop plasma-workspace plasma-framework plasma-nm plasma-pa plasma-vault plasma-workspace-wallpapers kdeplasma-addons kwin systemsettings kscreen breeze discover kinfocenter dolphin kdevelop ksysguard plasma-systemmonitor neochat kclock kweather --include-dependencies

The problem is also happening when only kwin_wayland is running, after killing plasmashell (or am I missing something running in the background?).

> If you enable ksycoca debug log, you should see:
> Found version 303, expecting version 304 or higher
Ok, I'll check if that's happening
Comment 6 Avinash Mishra 2020-11-28 15:54:39 UTC
The issue I had reported has been merged with this but I haven't built any application component from source and the issue occurs on both Wayland and X11.

There's another issue i have noticed after right clicking on desktop the add panel option appears in the menu for a second and then disappears.I'm not sure if it's related to this issue or is a separate issue. All these issues started after the same update.
Comment 7 Zamundaaa 2020-11-28 17:57:14 UTC
Created attachment 133705 [details]
output of QT_LOGGING_RULES="kf.service.sycoca=true" dolphin
Comment 8 Zamundaaa 2020-11-28 18:01:33 UTC
>It seems you have apps using mixed version of KService, all applications should use the same KService version.

There is nothing about version changes in the output, so I don't think it's that. I added the output as an attachment.

>The issue I had reported has been merged with this but I haven't built any application component from source and the issue occurs on both Wayland and X11.
The issue occurs on Wayland and X11 here as well, its effects are just way more visible on Wayland. It might be the same bug, even if it's triggered by different things.

If I run dolphin with
>QT_LOGGING_RULES="kf.service.sycoca=true" dolphin

I get a bunch of new lines about opening ksycoca or waiting for already running ksycoca about twice every second. Can you check if it does the same for you?
Comment 9 Avinash Mishra 2020-11-29 11:19:17 UTC
Yes, it's the same behavior for me me.
Comment 10 Leszek Lesner 2020-12-01 22:08:55 UTC
Can confirm
Comment 11 Nate Graham 2020-12-01 22:29:25 UTC
Perhaps we should revert for now before tagging in four days?
Comment 12 Avinash Mishra 2020-12-02 05:09:35 UTC
By deleting ~/.config/mimeapps.list following issues gets resolved
1.High CPU usage by plasmashell
2.Continuous applications updated message in application launcher.
3.Add panel option disappearing from right click menu after a sec.
Comment 13 Méven Car 2020-12-02 09:37:24 UTC
(In reply to Avinash Mishra from comment #12)
> By deleting ~/.config/mimeapps.list following issues gets resolved
> 1.High CPU usage by plasmashell
> 2.Continuous applications updated message in application launcher.
> 3.Add panel option disappearing from right click menu after a sec.

So Zamundaaa how is your ~/.config/mimeapps.list file like ?

Is it being updated often ?
You can check with `while inotifywait -e close_write ~/.config/mimeapps.list; do echo "mimeapps edited"; done`
That would explain the issue why the cache is generated constantly.

The other hypothesis is that an application not using latest kservice is forcefully rebuilding the cache making the other apps expecting a cache with version 304 to regenerate it.

Does this occur when the only application running is dolphin ? When no application are running ?

> Perhaps we should revert for now before tagging in four days?

Maybe but I'd like not to, this patch is an important fix to our mimetype association service.
Comment 14 Zamundaaa 2020-12-02 16:37:46 UTC
>Is it being updated often ?
>You can check with `while inotifywait -e close_write ~/.config/mimeapps.list; do echo "mimeapps edited"; done`
>That would explain the issue why the cache is generated constantly.

According to that command it's not updated at all. The only output is
>Setting up watches.
>Watches established.
Comment 15 Zamundaaa 2020-12-02 16:38:44 UTC
Created attachment 133815 [details]
mimeapps.list on desktop
Comment 16 Zamundaaa 2020-12-02 16:39:08 UTC
Created attachment 133816 [details]
mimeapps.list on laptop
Comment 17 Zamundaaa 2020-12-02 16:41:23 UTC
>By deleting ~/.config/mimeapps.list following issues gets resolved

If I rename the file the problem(s) also gets resolved for me. Dolphin also doesn't spam debug info about ksycoca anymore
Comment 18 Méven Car 2020-12-03 10:18:42 UTC
Does restoring the file content in mimeapps.list reintroduce the issue ?
Comment 19 Avinash Mishra 2020-12-03 10:21:43 UTC
Yes, after recent updates the file was restored and issue started again and I had to delete the file.
Comment 20 Zamundaaa 2020-12-03 18:35:04 UTC
The problem also occurs when the file exists but is completely empty
Comment 21 Méven Car 2020-12-04 08:18:53 UTC
Do you have multiple libKF5Service installed ?

ls -l /usr/lib/x86_64-linux-gnu/libKF5Service.so.5*
Comment 22 Zamundaaa 2020-12-04 16:12:19 UTC
Doesn't look like it:

>$ ls -l /usr/lib/libKF5Service.so*
>lrwxrwxrwx 1 root root     18  7. Nov 23:57 /usr/lib/libKF5Service.so -> >libKF5Service.so.5
>lrwxrwxrwx 1 root root     23  7. Nov 23:57 /usr/lib/libKF5Service.so.5 -> >libKF5Service.so.5.76.0
>-rwxr-xr-x 1 root root 587528  7. Nov 23:57 /usr/lib/libKF5Service.so.5.76.0
Comment 23 eylem akçay 2020-12-05 12:51:15 UTC
moving mimeapps.list file to .local folder stops the issue keeping default apps as is for me. 
mv ~/.config/mimeapps.list ~/.local/share/applications/

That is, whatever the content of the file, my Manjaro KDE can flawlesly use the file from this location. Having the file in .config folder creates issue.
Comment 24 kolomansell 2020-12-05 13:18:29 UTC
Not sure if it somehow helps:

Had the same problem. Moving mimeapps file work only for a couple of minutes, then the issue came back again. 

After reading this bugreport I found out that Manjaro architect (installer) is pulling in git community version of kservice package by default. 

Replacing package with regular version fixed the problem. 
extra/kservice 5.76.0-1  - works fine
community/kservice-git 5.77.0.r835.g0374b4e-1 - faulty one
Comment 25 Méven Car 2020-12-05 18:33:39 UTC
Git commit ffbfbba051b29be371f7382536359107cf551d8b by Méven Car.
Committed on 05/12/2020 at 18:30.
Pushed by dfaure into branch 'master'.

KSycoca: ensure extrafiles are ordered for comparison

M  +9    -6    src/sycoca/ksycoca.cpp

https://invent.kde.org/frameworks/kservice/commit/ffbfbba051b29be371f7382536359107cf551d8b
Comment 26 Zamundaaa 2020-12-05 19:17:43 UTC
That does fix it for me, thanks!
Comment 27 Méven Car 2020-12-05 19:47:08 UTC
(In reply to Zamundaaa from comment #26)
> That does fix it for me, thanks!

Thank you for your patience, and good early issue reporting.
Comment 28 Nicolas Fella 2020-12-07 13:00:02 UTC
*** Bug 430104 has been marked as a duplicate of this bug. ***
Comment 29 manjaroloover 2020-12-13 18:12:09 UTC
(In reply to Méven Car from comment #25)
> Git commit ffbfbba051b29be371f7382536359107cf551d8b by Méven Car.
> Committed on 05/12/2020 at 18:30.
> Pushed by dfaure into branch 'master'.
> 
> KSycoca: ensure extrafiles are ordered for comparison
> 
> M  +9    -6    src/sycoca/ksycoca.cpp
> 
> https://invent.kde.org/frameworks/kservice/commit/
> ffbfbba051b29be371f7382536359107cf551d8b

I have installed the latest KDE Plasma Desktop, using the AUR package (which buids from the latest github master source). According to the system settings in Manjaro I am running KDE Plasma 5.20.80, KDE Frameworks Version 5.77.0, QT Version 5.15.2.

However, the bug persists. From what I saw, the fix should have been shipped in KDE Frameworks 5.77.0, so I should be on the right version.
Comment 30 Méven Car 2020-12-14 18:31:09 UTC
There have been a couple a RC tarballs after 5.77 tagging, the package you have might not be current in fact but one of the RCs.
I guess you are using https://www.archlinux.org/packages/extra/x86_64/kservice/
Could you check the package you are using is latest 5.77.0-1
But I doubt that it is not the case.

Could you confirm the bug with a 5.78 build from master ?

Btw you need to logout for the fix to be effective.

And reopen the bug, if you reproduce this exact bug : cpu load when you have multiple mimeapps.list files in XDG_DATA_DIRS or XDG_CONFIG_DIRS.
Comment 31 Nate Graham 2020-12-16 22:02:12 UTC
*** Bug 430236 has been marked as a duplicate of this bug. ***
Comment 32 manjaroloover 2020-12-17 19:26:32 UTC
(In reply to Méven Car from comment #30)

This is the package I am running: https://aur.archlinux.org/packages/plasma-desktop-git

Which builds from source here: https://github.com/KDE/plasma-desktop

I rebuilt it today and rebooted, but the bug persists.

The exact bug I am seeing is:

- App launcher stuck in "applications updated loop"
- Add Panel disappears from right click context menu after one second.
- These issues temporarily fixed when deleting ~/.config/mimeapps.list

I don't know if I have high CPU usage from the plasma shell as I have nothing to compare it against, this is my first time on linux.

I have held off on re-opening until someone can help me confirm if this package I am using is using the correct frameworks.
Comment 33 Wachid Adi Nugroho 2021-01-09 12:24:03 UTC
I have an issue similar like this, so i leave comment here instead make a new thread.


HARDWARE & SOFTWARE
CPU             : Intel i3-2370M (4) @ 2.400GHz
Operating System: Arch Linux x86_64

mpv             : 0.33.0.r57.g1251f7bbf9-1
dolphin         : 20.12.1-1
krunner         : 5.77.0-1
plasma-workspace: 5.20.5-1
plasma-framework: 5.77.0-2
kservice        : 5.77.0-1
qt5-base        : 5.15.2-2
linux           : 5.10.5.arch1-1


SUMMARY
CPU spikes and slow respond (plasmashell, dolphin and krunner) after do something to plasma-panel while open mpv Media Player, in my system (monitored with top command):
 - plasmashell, cpu works 45%~60%
 - dolphin, cpu works 25%~40%
 - krunner, cpu works 20%~50%


STEPS TO REPRODUCE
1. open mpv Media Player
2. then trigger plasma-panel by:
   - klicking the plasma-panel specially in System Tray
   - scrolling on top sound icon in System Tray to change volume
   - open Applications Menu by klicking or press Meta button
3. even if i open mpv Media Player via Applications Menu, it will trigger instantly
4. if i close mpv Media Player then (plasmashell, dolphin and krunner) process calm down like normal


OBSERVED RESULT
if i open dolphin via konsole with command `kf.service.sycoca=true" dolphin` i can see loop process kf.service.sycoca: Recreating ksycoca file again and again after i trigger the plasma-panel until i close mpv Media Player

i already read this thread since December and after update to 5.77 version i still had this issue now.
Comment 34 Méven Car 2021-01-11 08:53:40 UTC
Could you confirm if your issue still occurs after upgrading to KDE Frameworks 5.78 which was just released.
It contained a fix for this situation.

Given you are using arch this should be a matter of days.
If it fixed your issue, please mark the bug as resolved again.
Comment 35 Wachid Adi Nugroho 2021-01-11 14:05:14 UTC
yes in version 5.78 it still happens

After I investigated further, it turned out that one of my mpv scripts (https://github.com/cniw/mpv-discordRPC) had an effect, if I disabled it or set the operating delay to be slower then the problem was gone. I've been using this script for more than 2 years without any problems like this.

I do not know whether this problem is still relevant or not because I use additional third party scripts, I hope that it can be fixed from internal KDE applications
Comment 36 Nate Graham 2021-01-11 16:04:49 UTC
What does that script do?
Comment 37 Wachid Adi Nugroho 2021-01-11 17:10:11 UTC
basically just a simple lua script that takes a strings value from mpv then displays it on discordapp via rpc. You can read the details and the code in the github repository, I wrote the link above.
Comment 38 Nate Graham 2021-01-12 00:32:42 UTC
*** Bug 431386 has been marked as a duplicate of this bug. ***
Comment 39 Nate Graham 2021-01-12 00:33:27 UTC
Another duplicate report (bug 431386) says the problem is still there on Frameworks 5.78; re-opening.
Comment 40 Alexander Lohnau 2021-01-12 15:55:10 UTC
*** Bug 431393 has been marked as a duplicate of this bug. ***
Comment 41 Nate Graham 2021-01-12 17:27:47 UTC
Dupes piling up; raising priority.
Comment 42 David Edmundson 2021-01-12 17:41:44 UTC
Can someone who can reproduce please include output of:

cat /proc/`pidof plasmashell`/environ | tr '\0' '\n'

As for this mpv script, when does it run?
Comment 43 CK 2021-01-12 22:02:18 UTC
before launching via krunner:

$ cat /proc/pidof plasmashell/environ | tr '\0' '\n'
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session1
HISTCONTROL=ignoredups
GTK_IM_MODULE=gtk-im-context-simple
HISTSIZE=1000
HOSTNAME=lenovo15
SSH_AUTH_SOCK=/tmp/ssh-YjK0WGM6iUwf/agent.2124
XMODIFIERS=@im=none
DESKTOP_SESSION=/usr/share/xsessions/plasma
SSH_AGENT_PID=2548
LMOD_DIR=/usr/share/lmod/lmod/libexec
EDITOR=/usr/bin/nano
XDG_SEAT=seat0
PWD=/home/XXXXX
XDG_SESSION_DESKTOP=KDE
LOGNAME=XXXXX
XDG_SESSION_TYPE=x11
MODULESHOME=/usr/share/lmod/lmod
MANPATH=/usr/share/lmod/lmod/share/man:
XAUTHORITY=/home/XXXXX/.Xauthority
HOME=/home/XXXXX
LANG=ru_UA.UTF-8
XDG_CURRENT_DESKTOP=KDE
LMOD_SETTARG_FULL_SUPPORT=no
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
LMOD_VERSION=8.4.1
IMSETTINGS_MODULE=none
MODULEPATH_ROOT=/usr/share/modulefiles
MOZ_GMP_PATH=/usr/lib64/mozilla/plugins/gmp-gmpopenh264/system-installed
XDG_SESSION_CLASS=user
LMOD_PKG=/usr/share/lmod/lmod
TERM=dumb
LESSOPEN=||/usr/bin/lesspipe.sh %s
USER=XXXXX
PAM_KWALLET5_LOGIN=/run/user/1000/kwallet5.socket
DISPLAY=:0
LMOD_ROOT=/usr/share/lmod
SHLVL=0
BASH_ENV=/usr/share/lmod/lmod/init/bash
LMOD_sys=Linux
QT_IM_MODULE=xim
XDG_VTNR=1
XDG_SESSION_ID=2
XDG_RUNTIME_DIR=/run/user/1000
S_COLORS=auto
KDEDIRS=/usr
XDG_DATA_DIRS=/home/XXXXX/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share:/var/lib/snapd/desktop
PATH=/home/XXXXX/.local/bin:/home/XXXXX/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/var/lib/snapd/snap/bin
MODULEPATH=/etc/modulefiles:/usr/share/modulefiles:/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core:/usr/share/lmod/lmod/modulefiles/Core
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
LMOD_CMD=/usr/share/lmod/lmod/libexec/lmod
MAIL=/var/spool/mail/XXXXX
BASH_FUNC_ml%%=() {  eval $($LMOD_DIR/ml_cmd "$@")
}
BASH_FUNC_module%%=() {  eval $($LMOD_CMD bash "$@") && eval $(${LMOD_SETTARG_CMD:-:} -s sh)
}
_=/usr/bin/startplasma-x11
XCURSOR_THEME=breeze_cursors
XCURSOR_SIZE=24
XDG_CONFIG_DIRS=/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg
XDG_MENU_PREFIX=kf5-
GDK_CORE_DEVICE_EVENTS=1
GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/XXXXX/.gtkrc-2.0:/home/XXXXX/.gtkrc-2.0-kde4:/home/XXXXX/.config/gtkrc-2.0
SSH_ASKPASS=/usr/bin/ksshaskpass
QT_AUTO_SCREEN_SCALE_FACTOR=0
KDE_FULL_SESSION=true
KDE_SESSION_VERSION=5
KDE_SESSION_UID=1000
KDE_APPLICATIONS_AS_SCOPE=1
GTK_RC_FILES=/etc/gtk/gtkrc:/home/XXXXX/.gtkrc:/home/XXXXX/.config/gtkrc
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2967,unix/unix:/tmp/.ICE-unix/2967




after:

$ cat /proc/pidof plasmashell/environ | tr '\0' '\n'
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session1
HISTCONTROL=ignoredups
GTK_IM_MODULE=gtk-im-context-simple
HISTSIZE=1000
HOSTNAME=lenovo15
SSH_AUTH_SOCK=/tmp/ssh-YjK0WGM6iUwf/agent.2124
XMODIFIERS=@im=none
DESKTOP_SESSION=/usr/share/xsessions/plasma
SSH_AGENT_PID=2548
LMOD_DIR=/usr/share/lmod/lmod/libexec
EDITOR=/usr/bin/nano
XDG_SEAT=seat0
PWD=/home/XXXXX
XDG_SESSION_DESKTOP=KDE
LOGNAME=XXXXX
XDG_SESSION_TYPE=x11
MODULESHOME=/usr/share/lmod/lmod
MANPATH=/usr/share/lmod/lmod/share/man:
XAUTHORITY=/home/XXXXX/.Xauthority
HOME=/home/XXXXX
LANG=ru_UA.UTF-8
XDG_CURRENT_DESKTOP=KDE
LMOD_SETTARG_FULL_SUPPORT=no
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
LMOD_VERSION=8.4.1
IMSETTINGS_MODULE=none
MODULEPATH_ROOT=/usr/share/modulefiles
MOZ_GMP_PATH=/usr/lib64/mozilla/plugins/gmp-gmpopenh264/system-installed
XDG_SESSION_CLASS=user
LMOD_PKG=/usr/share/lmod/lmod
TERM=dumb
LESSOPEN=||/usr/bin/lesspipe.sh %s
USER=XXXXX
PAM_KWALLET5_LOGIN=/run/user/1000/kwallet5.socket
DISPLAY=:0
LMOD_ROOT=/usr/share/lmod
SHLVL=0
BASH_ENV=/usr/share/lmod/lmod/init/bash
LMOD_sys=Linux
QT_IM_MODULE=xim
XDG_VTNR=1
XDG_SESSION_ID=2
XDG_RUNTIME_DIR=/run/user/1000
S_COLORS=auto
KDEDIRS=/usr
XDG_DATA_DIRS=/home/XXXXX/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share:/var/lib/snapd/desktop
PATH=/home/XXXXX/.local/bin:/home/XXXXX/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/var/lib/snapd/snap/bin
MODULEPATH=/etc/modulefiles:/usr/share/modulefiles:/usr/share/modulefiles/Linux:/usr/share/modulefiles/Core:/usr/share/lmod/lmod/modulefiles/Core
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
LMOD_CMD=/usr/share/lmod/lmod/libexec/lmod
MAIL=/var/spool/mail/XXXXX
BASH_FUNC_ml%%=() {  eval $($LMOD_DIR/ml_cmd "$@")
}
BASH_FUNC_module%%=() {  eval $($LMOD_CMD bash "$@") && eval $(${LMOD_SETTARG_CMD:-:} -s sh)
}
_=/usr/bin/startplasma-x11
XCURSOR_THEME=breeze_cursors
XCURSOR_SIZE=24
XDG_CONFIG_DIRS=/etc/xdg:/usr/share/kde-settings/kde-profile/default/xdg
XDG_MENU_PREFIX=kf5-
GDK_CORE_DEVICE_EVENTS=1
GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/XXXXX/.gtkrc-2.0:/home/XXXXX/.gtkrc-2.0-kde4:/home/XXXXX/.config/gtkrc-2.0
SSH_ASKPASS=/usr/bin/ksshaskpass
QT_AUTO_SCREEN_SCALE_FACTOR=0
KDE_FULL_SESSION=true
KDE_SESSION_VERSION=5
KDE_SESSION_UID=1000
KDE_APPLICATIONS_AS_SCOPE=1
GTK_RC_FILES=/etc/gtk/gtkrc:/home/XXXXX/.gtkrc:/home/XXXXX/.config/gtkrc
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2967,unix/unix:/tmp/.ICE-unix/2967
Comment 44 CK 2021-01-12 22:04:42 UTC
actually if I do touch ~/.local/share/applications/mimeapps.list the issue disappears
Comment 45 Wachid Adi Nugroho 2021-01-12 23:10:48 UTC
(In reply to David Edmundson from comment #42)
> Can someone who can reproduce please include output of:
> 
> cat /proc/`pidof plasmashell`/environ | tr '\0' '\n'
> 
> As for this mpv script, when does it run?

SHELL=/bin/bash
MOZ_X11_EGL=1
LANGUAGE=en_US.UTF-8
XDG_DATA_HOME=/home/wachid/.local/share
XDG_CONFIG_HOME=/home/wachid/.config
DESKTOP_SESSION=plasma
XCURSOR_SIZE=24
GTK_MODULES=canberra-gtk-module:appmenu-gtk-module
XDG_SEAT=seat0
PWD=/home/wachid
XDG_SESSION_DESKTOP=plasma
LOGNAME=wachid
XDG_SESSION_TYPE=x11
XAUTHORITY=/run/user/1000/gdm/Xauthority
WINDOWPATH=2
MOTD_SHOWN=pam
GDM_LANG=en_US.UTF-8
HOME=/home/wachid
USERNAME=wachid
LANG=en_US.UTF-8
XDG_CURRENT_DESKTOP=KDE
XDG_CACHE_HOME=/home/wachid/.cache
XDG_SESSION_CLASS=user
TERM=rxvt-unicode
USER=wachid
DISPLAY=:0
SHLVL=0
XDG_VTNR=2
UBUNTU_MENUPROXY=1
XDG_SESSION_ID=3
LC_CTYPE=C.UTF-8
XDG_RUNTIME_DIR=/run/user/1000
LC_ALL=en_US.UTF-8
QT_AUTO_SCREEN_SCALE_FACTOR=0
PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
GDMSESSION=plasma
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
MAIL=/var/spool/mail/wachid
QT_FONT_DPI=84
QT_SCREEN_SCALE_FACTORS=LVDS1=1;DP1=1;HDMI1=1;VGA1=1;VIRTUAL1=1;
XCURSOR_THEME=breeze_cursors
MOZ_WEBRENDER=1
GTK_USE_PORTAL=1
KDE_FULL_SESSION=true
KDE_SESSION_VERSION=5
KDE_SESSION_UID=1000
KDE_APPLICATIONS_AS_SCOPE=1
GTK_RC_FILES=/etc/gtk/gtkrc:/home/wachid/.gtkrc:/home/wachid/.config/gtkrc
GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/wachid/.gtkrc-2.0:/home/wachid/.config/gtkrc-2.0
SESSION_MANAGER=local/cniw:@/tmp/.ICE-unix/861,unix/cniw:/tmp/.ICE-unix/861
Comment 46 Wachid Adi Nugroho 2021-01-12 23:33:22 UTC
when i run `QT_LOGGING_RULES="kf.service.sycoca=true" dolphin` it displays messages like this repeatedly

> kf.service.sycoca: QThread(0x55e3760f7ec0) got a notifyDatabaseChanged signal
> kf.service.sycoca: Opening ksycoca from "/home/wachid/.cache/ksycoca5_en_zoRMnH8PkaFf7ocUSRIpa6fde1k="
> kf.service.sycoca: file timestamp changed: "/home/wachid/.config/mimeapps.list" QDateTime(2021-01-13 06:01:21.376 WIB Qt::LocalTime) > QDateTime(2021-01-13 06:01:12.399 WIB Qt::LocalTime)
> kf.service.sycoca: Waiting for already running kbuildsycoca5 to finish.
> kf.service.sycoca: Reusing existing ksycoca
> kf.service.sycoca: Recreating ksycoca file ("/home/wachid/.cache/ksycoca5_en_zoRMnH8PkaFf7ocUSRIpa6fde1k=", version 304)
> .
> .
> .
> kf.service.sycoca: Saving
> kf.service.sycoca: Opening ksycoca from "/home/wachid/.cache/ksycoca5_en_zoRMnH8PkaFf7ocUSRIpa6fde1k="
Comment 47 Méven Car 2021-01-26 13:22:02 UTC
(In reply to Wachid Adi Nugroho from comment #46)
> when i run `QT_LOGGING_RULES="kf.service.sycoca=true" dolphin` it displays
> messages like this repeatedly
> 
> > kf.service.sycoca: file timestamp changed: "/home/wachid/.config/mimeapps.list" QDateTime(2021-01-13 06:01:21.376 WIB Qt::LocalTime) > QDateTime(2021-01-13 06:01:12.399 WIB Qt::LocalTime)

"QDateTime(2021-01-13 06:01:21.376 WIB Qt::LocalTime) > QDateTime(2021-01-13 06:01:12.399 WIB Qt::LocalTime)"

Seams weird, since it is not true "01:21.376 < 01:12.399", time comparison seems off, cache building should not occur in those settings.

What is your timezone ?

Do you run in a VM ?
Comment 48 Wachid Adi Nugroho 2021-01-26 15:17:23 UTC
(In reply to Méven Car from comment #47)
> (In reply to Wachid Adi Nugroho from comment #46)

> What is your timezone ?
❯ timedatectl
               Local time: Tue 2021-01-26 22:16:54 WIB
           Universal time: Tue 2021-01-26 15:16:54 UTC
                 RTC time: Tue 2021-01-26 15:16:54    
                Time zone: Asia/Jakarta (WIB, +0700)  
System clock synchronized: yes                        
              NTP service: active                     
          RTC in local TZ: no

> Do you run in a VM ?
No
Comment 49 Méven Car 2021-01-27 08:34:51 UTC
(In reply to Méven Car from comment #47)
> (In reply to Wachid Adi Nugroho from comment #46)
> > when i run `QT_LOGGING_RULES="kf.service.sycoca=true" dolphin` it displays
> > messages like this repeatedly
> > 
> > > kf.service.sycoca: file timestamp changed: "/home/wachid/.config/mimeapps.list" QDateTime(2021-01-13 06:01:21.376 WIB Qt::LocalTime) > QDateTime(2021-01-13 06:01:12.399 WIB Qt::LocalTime)
> 
> "QDateTime(2021-01-13 06:01:21.376 WIB Qt::LocalTime) > QDateTime(2021-01-13
> 06:01:12.399 WIB Qt::LocalTime)"
> 
> Seams weird, since it is not true "01:21.376 < 01:12.399", time comparison
> seems off, cache building should not occur in those settings.
> 

I was wrong here, somehow misread times.

It is apparently normal and shows that "/home/wachid/.config/mimeapps.list" was edited since last time the cache was built.
I suspect another program to "touch" the file regularly, modifying its modification time, but probably not its content.

Could you use `inotifywait` as described at https://superuser.com/a/181543 and see if a program opens in Write mode the file "/home/wachid/.config/mimeapps.list" regularly ?

Something like `inotifywait -m $HOME/.config/mimeapps.list` will at least check this hypothesis (while the issues is occurring).
If you see many "CLOSE_WRITE" events. Share an extract of this command output if fruitful.
Comment 50 Bug Janitor Service 2021-02-11 04:33:11 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 51 syevale111 2022-12-08 09:03:43 UTC
Getting AWS certified shows that you have some of the most in- demand( and profitable) chops as validated by one of the most recognizable realities in pall computing. Know about various IT training programs and achieve career growth with us. Learn with AWS course in Pune.
https://www.sevenmentor.com/amazon-web-services-training-institute-in-pune.php
https://www.sevenmentor.com